Skip to main content
GET
/
v1
/
file_attachments
/
{id}
Retrieve a FileAttachment by ID
curl --request GET \
  --url https://api.tread-horizon.com/v1/file_attachments/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "category": "Other",
    "description": "<string>",
    "file_attachable_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "file_attachable_type": "DriverDay",
    "file_url": "<string>",
    "mime_type": "<string>",
    "preview_url": "<string>",
    "preview_mime_type": "<string>",
    "uploaded_by": {
      "type": "User",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "tread_id": "ABC123",
      "legal_name": "<string>",
      "company_type": "hauler"
    },
    "file_name": "<string>",
    "editable": true,
    "deletable": true,
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.tread.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept-Language
string
default:en

The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.

Example:

"en"

Path Parameters

id
string<uuid>
required

The ID of the file attachment you're operating on

Response

OK

data
FileAttachment-Read · object
required